#######################################################################################
# stages for qrb5165 SLPI image project in qrb5165-slpi-build docker build environment
#######################################################################################


################################################################################
# build and deploy to dev binary repo on every commit to dev
################################################################################

build_qrb5165_px4_dev:
  image: qrb5165-slpi-build:v0.0
  stage: build
  rules:
    - if: ($CI_COMMIT_BRANCH == "dev") && ($CI_PIPELINE_SOURCE != "schedule")
  script:
    - /bin/bash clean.sh
    - /bin/bash qrb5165-slpi-build.sh
    # - /bin/bash make_package.sh deb timestamp
    - date
  variables:
    GIT_SUBMODULE_STRATEGY: recursive
    GIT_STRATEGY: clone
  artifacts:
    expire_in: 20 min
    paths:
      - "*.deb"


